"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require("path");

exports.default = {
  data: {
    description: "the folder that contains all content/data",
    defaultValue: "./data",
    transform: function transform(val) {
      return (0, _path.resolve)(val);
    }
  },
  layouts: {
    description: "the folder that contains all React layout components",
    defaultValue: "./layouts",
    transform: function transform(val) {
      return (0, _path.resolve)(val);
    }
  },
  dist: {
    description: "the folder to output all compiled HTML",
    defaultValue: "./dist",
    transform: function transform(val) {
      return (0, _path.resolve)(val);
    }
  },
  inheritFrom: {
    description: "file containting shared props for all sibling nodes",
    defaultValue: "common"
  }
};