"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = mapRecurse;

var _bluebird = require("bluebird");

var _bluebird2 = _interopRequireDefault(_bluebird);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mapRecurse(func) {

  return function walker(node) {
    var newNode;
    return regeneratorRuntime.async(function walker$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return regeneratorRuntime.awrap(func(node));

          case 2:
            newNode = _context.sent;

            if (!newNode.children) {
              _context.next = 7;
              break;
            }

            _context.next = 6;
            return regeneratorRuntime.awrap(_bluebird2.default.all(newNode.children.map(walker)));

          case 6:
            newNode.children = _context.sent;

          case 7:
            return _context.abrupt("return", newNode);

          case 8:
          case "end":
            return _context.stop();
        }
      }
    }, null, this);
  };
}