"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {

  return (0, _mapRecurse2.default)(function (node) {

    if (!node.children) {
      return node;
    }

    (0, _sortChildren2.default)(node);

    node.children = node.children.filter(function (obj) {
      if (obj.isFile && obj.path.name === "index") {
        node.data = (0, _mergeProps.mergeWithProps)(node.data, obj.data, false);
        return false;
      }
      return true;
    });

    return node;
  });
};

var _mapRecurse = require("../mapRecurse");

var _mapRecurse2 = _interopRequireDefault(_mapRecurse);

var _mergeProps = require("../mergeProps");

var _sortChildren = require("../sortChildren");

var _sortChildren2 = _interopRequireDefault(_sortChildren);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }