"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (parsers) {
  var _this = this;

  return (0, _mapRecurse2.default)(function _callee(node) {
    var raw, parsed;
    return regeneratorRuntime.async(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            if (!node.isFile) {
              _context.next = 6;
              break;
            }

            _context.next = 3;
            return regeneratorRuntime.awrap(fs.readFileAsync(node.pathStr, { encoding: "utf8" }));

          case 3:
            raw = _context.sent;
            parsed = parsers[node.path.ext.replace(".", "")](raw);

            node.data = (0, _mergeProps.mergeWithObj)(node.data, parsed, false);

          case 6:
            return _context.abrupt("return", node);

          case 7:
          case "end":
            return _context.stop();
        }
      }
    }, null, _this);
  });
};

var _bluebird = require("bluebird");

var _bluebird2 = _interopRequireDefault(_bluebird);

var _mapRecurse = require("../mapRecurse");

var _mapRecurse2 = _interopRequireDefault(_mapRecurse);

var _mergeProps = require("../mergeProps");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var fs = _bluebird2.default.promisifyAll(require("fs"));