"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.once = once;

var _fsdb = require("./fsdb");

var _fsdb2 = _interopRequireDefault(_fsdb);

var _load = require("./render/load");

var _load2 = _interopRequireDefault(_load);

var _write = require("./render/write");

var _write2 = _interopRequireDefault(_write);

var _render = require("./render");

var _registry = require("./registry");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function once(config) {
  var root, files;
  return regeneratorRuntime.async(function once$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          if (config) {
            _context.next = 2;
            break;
          }

          return _context.abrupt("return");

        case 2:
          _context.prev = 2;
          _context.next = 5;
          return regeneratorRuntime.awrap((0, _fsdb2.default)(config));

        case 5:
          root = _context.sent;
          _context.next = 8;
          return regeneratorRuntime.awrap((0, _load2.default)(config.layouts));

        case 8:
          files = (0, _render.renderTree)(root, root, _registry.Registry, config.dist);
          _context.next = 11;
          return regeneratorRuntime.awrap((0, _write2.default)(config.dist, files));

        case 11:
          _context.next = 16;
          break;

        case 13:
          _context.prev = 13;
          _context.t0 = _context["catch"](2);

          console.error(_context.t0);

        case 16:
        case "end":
          return _context.stop();
      }
    }
  }, null, this, [[2, 13]]);
}

exports.default = once;