"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var components = {};

function get(name) {
  return components[name];
}

function add(name, comp) {
  if (get(name)) {
    throw new Error("Cannot register duplicate components (" + name + ")");
  }
  components[name] = comp;
}

var Registry = exports.Registry = {
  add: add,
  get: get
};

exports.default = Registry;