"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.requireAll = requireAll;

require("babel-register");

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

var _bluebird = require("bluebird");

var _bluebird2 = _interopRequireDefault(_bluebird);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var fs = _bluebird2.default.promisifyAll(require("fs"));

function requireAll(files) {
  files.forEach(function (f) {
    try {
      require(f); // eslint-disable-line global-require
    } catch (e) {
      console.error(e);
    }
  });
}

exports.default = function load(absRoot) {
  var files;
  return regeneratorRuntime.async(function load$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.prev = 0;
          _context.next = 3;
          return regeneratorRuntime.awrap(fs.readdirAsync(absRoot).map(function (fragPath) {
            return _path2.default.join(absRoot, fragPath);
          }));

        case 3:
          files = _context.sent;

          requireAll(files);
          _context.next = 10;
          break;

        case 7:
          _context.prev = 7;
          _context.t0 = _context["catch"](0);
          throw _context.t0;

        case 10:
        case "end":
          return _context.stop();
      }
    }
  }, null, this, [[0, 7]]);
};